Task # 2620 (Closed): Replace HandsOnTable with jexcel

Make the editor work with the KV store editing

04/02/2020 03:49 AM - Luke Murphey
Target version: 3.4   

Description

History

#1 - 04/02/2020 03:49 AM - Luke Murphey

- Subject changed from Make the editor work with the KV store to Make the editor work with the KV store saving

#2 - 04/03/2020 09:43 PM - Luke Murphey

            // Wire-up handlers for doing KV store dynamic updates

            if(this.lookup_type === "kv"){

                // For cell edits

                this.handsontable.addHook('afterChange', function(changes, source) {

                    // Ignore changes caused by the script updating the _key for newly added rows

                    if(source === "key_update"){

                        return;

                    }

                    // If there are no changes, then stop

                    if(!changes){

                        return;

                    }

                    // Iterate and change each cell

                    for(var c = 0; c < changes.length; c++){

                        var row = changes[c][0];

                        var col = changes[c][1];

                        var new_value = changes[c][3];

                        this.trigger("editCell", {

                            'row' : row,

                            'col' : col,

                            'new_value' : new_value

                        });

                    }

                }.bind(this));

                // For row removal

                this.handsontable.addHook('beforeRemoveRow', function(index, amount) {

                    // Iterate and remove each row

                    for(var c = 0; c < amount; c++){

                        var row = index + c;

                        this.trigger("removeRow", row);

                    }

                }.bind(this));

                // For row creation

                this.handsontable.addHook('afterCreateRow', function(row, count){

                    this.trigger("createRows", {

                        'row' : row,

                        'count' : count
                    });

                }.bind(this));

#3 - 04/04/2020 03:26 AM - Luke Murphey

The jexcel APIs don't seem to include all of the necessary info.

https://gist.github.com/gpalazuelosg/b0e0869dd1871c7dce4ab1cef7c9846d

https://github.com/paulhodel/jexcel/issues/367

#4 - 04/04/2020 04:49 AM - Luke Murphey

- Subject changed from Make the editor work with the KV store saving to Make the editor work with the KV store editing

#5 - 04/04/2020 06:21 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
